var startPage = {
	retinaReplace: function(){
		if('devicePixelRatio' in window && window.devicePixelRatio == 2 ){
			var img_to_replace = jQuery( 'img.replace-2x' ).get();
			for (var i=0,l=img_to_replace.length; i<l; i++) {
				var src = img_to_replace[i].src;
				src = src.replace(/\.(png|jpg|gif)+$/i, '@2x.$1');
				img_to_replace[i].src = src;
			};
		}	
	},
	
	loadStats: function(){
		var stats =  apiStatsCallback.getApiStats();
		var getTotalApis =  stats.getApisCount();
		var getTotalFuncTests = stats.getApisWithFuncTestsCount();
		var getTotalLoadTests = stats.getApisWithLoadTestsCount();
		var getTotalSecurityTests = stats.getApisWithSecurityTestsCount();
		var getTotalVirts = stats.getApisWithVirtsCount();

		return{
			totalApis: getTotalApis,
			totalFuncTests: getTotalFuncTests,
			totalLoadTests: getTotalLoadTests,
			totalSecurityTests: getTotalSecurityTests,
			totalVirts: getTotalVirts
		}
	}
};

//auto-executed function after DOM constructed
(function(){
	//replace images for retina
	startPage.retinaReplace();
})();


//OnLoad Events
jQuery(window).load(function(){
setTimeout(function() {
		//get stats
		var apiStats = startPage.loadStats();
		jQuery("#total-apis").html(apiStats.totalApis);
		jQuery("#total-func-tests").html(apiStats.totalFuncTests);
		jQuery("#total-load-tests").html(apiStats.totalLoadTests);
		jQuery("#total-security-tests").html(apiStats.totalSecurityTests);
		jQuery("#total-virts").html(apiStats.totalVirts);

}, 100);

});


